{% set etwinEnabled = features.etwin == 1 %}

{% trans_default_domain 'Common' %}

{% if etwinEnabled %}
    {% if app.user %}
        <div id="packsmenu">
            <div class="borderWhite">
                <h2 class="vosPack"><span>Vos Packs </span></h2>

                <div id="currentPackBox">
                    {% for deck in app.user.decks %}
                        <div class="packTop">

                        </div>
                        <a href="{{ path('showDeck', { 'id' : deck.id }) }}">
                            <div class="pack">
                            <div class="packLvl"
                                 onmouseover="showTip(this,'Niveau : {{ deck.level }}', 'Le niveau actuel de votre pack. <br />Votre pack gagne un niveau quand sa barre d\'expérience est pleine.');"
                                 onmouseout="hideTip()">
                                <div class="levelBox">
                                    {{ deck.level }}
                                </div>
                            </div>
                            <div class="packNvx">
                                <div class="packName">
                                    <span class="packName">
                                        {{ deck.name }}
                                    </span>
                                </div>
                                <span>
                                    {# Do we want to limit the number of game per deck?
                                    <img class="icon" alt="fight dinocard" src="{{ asset('img/gfx/icons/fight.gif') }}">
                                    <img class="icon" alt="fight dinocard" src="{{ asset('img/gfx/icons/fight_used.gif') }}">
                                     #}
                                </span>
                            </div>

                            {% set xpRatio = (deck.experience / 10) * 100 %}
                            <div class="xpBox">
                                <div class="xpBorder">
                                    <div class="xpBar" style="width : {{ xpRatio }}%;"></div>
                                </div>
                            </div>
                        </div>
                        </a>
                        <div class="packBottom">
                        </div>
                    {% endfor %}

                    {#
                    <div class="buttonBox2">
                        <a href="#dojo" class="buttonDojo" onmouseover="showTip(this,'Dojo', 'Le dojo vous permet d\'affronter les maîtres Dinocard pour gagner de <b>nouvelles cartes</b> !');" onmouseout="hideTip()">
                            <span>Dojo</span>
                        </a>
                        <a href="#duel/opponents" class="buttonArena" onmouseover="showTip(this,'Arène', 'Affrontez les autres joueurs pour gagner de l\'<b>expérience</b> et monter dans le classement !');" onmouseout="hideTip()">
                            <span>Arène</span>
                        </a>
                        <a href="#deck/1" class="buttonInfo" onmouseover="showTip(this,'Informations', 'Voir la fiche de ce pack.');" onmouseout="hideTip()">
                            <span>Info</span>
                        </a>
                    </div>
                    #}
                </div>

                <center>
                    <a href="{{ path('newDeck') }}" class="buttonNewPack"
                       onmouseover="showTip(this,'{{ 'leftMenu.pack.create.tooltip.title' | trans }}', '{{ 'leftMenu.pack.create.tooltip.message' | trans }}');"
                       onmouseout="hideTip()">
                        <span>{{ 'leftMenu.pack.create.button' | trans }}</span>
                    </a>
                </center>
            </div>
        </div>
    {% endif %}
{% endif %}

<div id="globalMenu">
    <div class="borderWhite">
        {% if etwinEnabled %}
            <h2 class="menu">
                <span>Menu</span>
            </h2>
            {% if app.user %}
                <ul>
                    <li><a href="{{ path('homepage') }}" class="menuNews">{{ 'leftMenu.home' | trans }}</a></li>
                    {#
                    <li><a href="./collection_user.php" class="menuCollection">Mes cartes</a></li>
                    <li><a href="./booster.php" class="menuBoosters">Plus de cartes</a></li>
                    #}
                    <li><a href="{{ path('ranks') }}" class="menuRanking">Classement</a></li>
                    <li><a href="{{ path('history') }}" class="menuHistory">Historique</a></li>
                    {#
                    <li><a href="./exchange.php" class="menuExchange">Echanges</a></li>
                    <li><a href="./mail.php" class="menuMail">Messagerie</a></li>
                    <li><a href="./forum.php" class="menuForum">Forum</a></li>
                    <li><a href="./sponsoring.php" class="menuGodfather">Parrainage</a></li>
                    #}
                    <li><a href="{{ path('app_onboarding_help') }}" class="menuHelp">Aide</a></li>
                    <li><a href="{{ logout_url() }}" class="menuDeco">{{ 'leftMenu.disconnect' | trans }}</a></li>
                </ul>
            {% else %}
                <h2>Eternaltwin</h2>
                <a href="{{ oauth_service.getAuthorizationUri('base', app.request.uri) }}" class="button">{{ 'leftMenu.connect' | trans }}</a>
            {% endif %}
        {% else %}
            <h2>Eternaltwin</h2>
            <p>{{ 'messages.disabled' | trans }}</p>
        {% endif %}
    </div>
</div>

<div id="friends">
    <div class="borderWhite">
        <h2>Autres jeux</h2>
        <ul>
            <li><a href="https://dinorpg.eternaltwin.org/"><img src="{{ asset('img/gfx/icons/favicon.ico') }}"> DinoRPG</a></li>
            <li><a href="https://emush.eternaltwin.org/"><img src="{{ asset('img/gfx/icons/favicon.ico') }}"> EMush</a></li>
            <li><a href="https://kingdom.eternaltwin.org/"><img src="{{ asset('img/gfx/icons/favicon.ico') }}"> EternalKingdom</a></li>
            <li><a href="https://myhordes.eu/"><img src="{{ asset('img/gfx/icons/favicon.ico') }}"> MyHordes</a></li>
            <li><a href="https://neoparc.eternaltwin.org"><img src="{{ asset('img/gfx/icons/favicon.ico') }}"> Neoparc</a></li>
            <li><a href="https://brute.eternaltwin.org/"><img src="{{ asset('img/gfx/icons/favicon.ico') }}"> LaBrute</a></li>
        </ul>
    </div>
</div>